Bug 121979 - OOPS when loading airo module with Aironet 340 PCI card
OOPS when loading airo module with Aironet 340 PCI card
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-04-29 10:16 EDT by AJ Bostian
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-29 16:23:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Diff of dmesg with and without Aironet 340 installed. (2.88 KB, text/plain)
2004-04-29 10:17 EDT, AJ Bostian
no flags Details

  None (edit)
Description AJ Bostian 2004-04-29 10:16:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.4.1)

Description of problem:
Prior to installation of the Cisco Aironet 340 card, I have only an
onboard Realtek NIC.  I got normal dmesg output (see attached).  The
NIC is device eth0.

I then installed an Aironet 340 PCI card.  Kudzu came up on boot and
recognized the card.  However, dmesg shows an oops later on when it
tries to "unregistering eth0" (see attached).

Interestingly, there's an attempted swap of eth0 with eth1, plus it
attempts to bring up some device wifi0 that has no ifcfg-wifi0 file
associated with it.  However, rehat-config-network shows eth0 as being
still being associated with the Realtek, and eth1 being associated
with the Cisco.

Upon removal of the Cisco, everything works fine again.  (That's how
I'm submitting this bug. :) )  I'm not familiar enough with this to
know whether to blame kudzu or the airo module, so apologies if this
is in the wrong spot.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install Aironet 340 PCI.
2. Let kudzu configure it on boot.
3. Note dmesg output -- all eth* devices confused.
4. Remove Aironet 340 PCI.
5. Let kudzu unconfigure it on boot.
6. Note dmesg output -- eth* are OK.

Additional info:
Comment 1 AJ Bostian 2004-04-29 10:17:31 EDT
Created attachment 99779 [details]
Diff of dmesg with and without Aironet 340 installed.
Comment 2 AJ Bostian 2004-04-29 14:03:24 EDT
I just verified that the same anomalous dmesg output occurs when kudzu
is told to ignore the Cisco card, instead of autoconfiguring it.  It
looks like the issue is with the airo module.
Comment 3 David Lawrence 2004-09-29 16:23:34 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.